Get customer properties

Prev Next
Get
/Customerdataservice/api/customers/{id}/properties

Returns the CustomerProperty object for the specified customer.

Path parameters
id
objectRequired

Customer ID

Responses
200

Customer properties returned successfully

Expand All
object
additionalProperties
Array of object (Customerdataservice_AdditionalProperty)

List of customer properties.

Example[ { "type": "VIP", "code": "VIP01", "value": "Gold" } ]
object

Custom property for the customer.

Example[ { "type": "VIP", "code": "VIP01", "value": "Gold" } ]
type
string

Type of property.

Min length1
Max length2147483647
ExampleVIP
code
string

Property code.

Min length1
Max length2147483647
ExampleVIP01
value
string

Property value.

Min length1
Max length2147483647
ExampleGold
blocked
boolean

Indicates if the customer is blocked.

Examplefalse
creditAllowed
boolean

Indicates if credit is allowed for the customer.

Exampletrue
cashAllowed
boolean

Indicates if cash payment is allowed for the customer.

Examplefalse
requisitionRequired
boolean

Indicates if requisition is required.

Examplefalse
contactPersonRequired
boolean

Indicates if a contact person is required.

Exampletrue
contactPersonRequesterRequired
boolean

Indicates if a contact person requester is required.

Examplefalse
referenceRequired
boolean

Indicates if a reference is required.

Examplefalse
projectRequired
boolean

Indicates if a project is required.

Examplefalse
creditLimit
object (Customerdataservice_Money)

Monetary value.

currency
string

Currency code (ISO 4217).

Valid values[ "NOK", "SEK", "DKK", "EUR", "USD", "GBP", "CHF", "PLN", "CZK", "HUF", "JPY", "AUD", "CAD", "SGD", "CNY", "INR" ]
ExampleNOK
amount
number

Amount in the specified currency.

Minimum0
Maximum10000000
Example10000.0
currentOrderValueInclVat
object (Customerdataservice_Money)

Monetary value.

currency
string

Currency code (ISO 4217).

Valid values[ "NOK", "SEK", "DKK", "EUR", "USD", "GBP", "CHF", "PLN", "CZK", "HUF", "JPY", "AUD", "CAD", "SGD", "CNY", "INR" ]
ExampleNOK
amount
number

Amount in the specified currency.

Minimum0
Maximum10000000
Example10000.0
currentBalanceInclVat
object (Customerdataservice_Money)

Monetary value.

currency
string

Currency code (ISO 4217).

Valid values[ "NOK", "SEK", "DKK", "EUR", "USD", "GBP", "CHF", "PLN", "CZK", "HUF", "JPY", "AUD", "CAD", "SGD", "CNY", "INR" ]
ExampleNOK
amount
number

Amount in the specified currency.

Minimum0
Maximum10000000
Example10000.0
specialAgreement
string

Special agreement details.

ExampleSpecial pricing for Q4
vatFreeCustomer
boolean

Indicates if the customer is VAT free.

Examplefalse
orderDiscount
number

Order discount percentage.

Minimum0
Example5.5
showPriceOnPacknote
boolean

Indicates if price should be shown on packnote.

Exampletrue
401

HTTP Unauthorized

object
timestamp
string (date-time)
status
integer (int32)
error
string
path
string
404

HTTP Not Found

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerdataservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200
500

HTTP Internal Server Error

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerdataservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200